
CoCoA-5 - Feature #106

I:f (IDEAL and RINGELEM)   --  operator colon

16 Mar 2012 07:42 - Anna Maria Bigatti

Status: In Progress Start date: 16 Mar 2012

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 10%

Category: Incomplete function Estimated time: 3.00 hours

Target version: CoCoA-5.?.? Spent time: 0.50 hour

Description

cocoa-4 had no warning for I:xy being intepreted as (I:x)*y, but cocoa-5 does!

So we can resume that syntax.

Make extensive checks on all cases (in Italian)

Possiamo scegliere la priorita` dell'operatore ":".

Ci sono tre casi:

(A) la priorita` di ":" e` piu` alta di quella di "*"

(B) la priorita` di ":" e` uguale a quella di "*"

(C) la priorita` di ":" e` piu` bassa di quella di "*"

In C4 avevamo scelto il caso (B); se cambiamo, perderemo

la backward compatibility con C4.

Per l'espressione  I:x*y...

In caso (A) l'interpretazione sara`  (I:x)*y.

In caso (B) probabilmente abbiamo  (I:x)*y.

In caso (C) otteniamo  I:(x*y).

Consideriamo anche l'espressione  x*I:y...

In caso (A) significa  x*(I:y).

In caso (B) probabilmente significa (x*I):y.

In caso (C) significa  (x*I):y.

Volendo si puo` dare warning anche in questo caso (credo).

Conviene considerare anche l'espressione  x*I:y*z...

In caso (A) abbiamo  x*(I:y)*z.

In caso (B) abbiamo probabilmente  ((x*I):y)*z

In caso (C) abbiamo  (x*I):(y*z).

E` vero che chi scrive  x*I:y*z  merita di essere punito!

History

#1 - 16 Mar 2012 07:45 - Anna Maria Bigatti

- Subject changed from I:f (IDEAL and RINGELEM) to I:f (IDEAL and RINGELEM)   --  operator colon

- Assignee set to Anna Maria Bigatti

- Estimated time set to 3.00 h

#2 - 23 Jan 2013 12:34 - Anna Maria Bigatti

- Category set to Incomplete function

#3 - 02 Apr 2014 17:34 - Anna Maria Bigatti

- Target version set to CoCoA-5.1.0 Easter14

#4 - 10 Apr 2014 09:45 - Anna Maria Bigatti

- Status changed from New to In Progress

- Target version changed from CoCoA-5.1.0 Easter14 to CoCoA-5.1.1 Seoul14

- % Done changed from 0 to 10
#5 - 02 Sep 2014 11:12 - John Abbott

- Target version changed from CoCoA-5.1.1 Seoul14 to CoCoA-5.?.?
